// @flow
import _ from 'lodash';
import {transformers} from 'redux-api';

export default (baseURL: string = 'http://local.api.app.bluavenu.com:8000') => ({
	transformer: (
		itemTransformer => data => _.map(transformers.array(_.result(data, 'data')), D => itemTransformer(D))
	)(data => _.extend(data, {transformed: {
		email: _.get(data, 'email[0].value'),
		phone: _.get(data, 'phone_number[0].value'),
		title: _.compact([_.get(data, 'personal.first_name'), _.get(data, 'personal.last_name')]).join(' '),
	}})),

	url: `${baseURL}/API/contacts`,
});
