// @flow
import 'isomorphic-fetch';
import reduxApi from 'redux-api';
import sources from './sources';

export default (params: {
	baseURL: string,
	entity: string,
	key: string,
}) => reduxApi({
	[params.key]: sources(params.baseURL)[params.entity],
}).use('fetch', (
	fetch => (url, opts) => fetch(url, opts).then(
		R => R.status !== 204 ? R.json().then(J => ({data: J, headers: _.fromPairs([...R.headers.entries()])})) : {}
	)
)(fetch));
